package com.jpsoft.picc.modules.business.dao;

import java.util.List;

import com.jpsoft.picc.modules.business.entity.StudentApplicationRecord;
import org.springframework.stereotype.Repository;
import java.util.Map;
import com.jpsoft.picc.modules.common.dto.Sort;

@Repository
public interface StudentApplicationRecordDAO {
	int insert(StudentApplicationRecord entity);
	int update(StudentApplicationRecord entity);
	int exist(String id);
	StudentApplicationRecord get(String id);
	int delete(String id);
	List<StudentApplicationRecord> list();
	List<StudentApplicationRecord> search(Map<String, Object> searchParams, List<Sort> sortList);
}