package com.jpsoft.picc.modules.common.constant;

/**
 * 投保单状态
 */
public enum StudentPolicyStatus {
    Draft("草稿",10),
    Back("材料不齐",15),
    PendingPay("待缴费",20),
    PendingMakePolicy("待制单",30),
    PendingOutPolicy("待出单",40),
    PendingSigned("待签名",50),
    SendOutPolicy("已出单",60),
    Expired("已过期",100);

    private int value;
    private String text;

    StudentPolicyStatus(String text, int value){
        this.text = text;
        this.value = value;
    }

    public static StudentPolicyStatus valueOf(int value){
        for (StudentPolicyStatus policyStatus : StudentPolicyStatus.values()) {
            if (policyStatus.getValue()==value){
                return policyStatus;
            }
        }

        return null;
    }

    public int getValue() {
        return value;
    }

    public void setValue(int value) {
        this.value = value;
    }

    public String getText() {
        return text;
    }

    public void setText(String text) {
        this.text = text;
    }}
